#
# spec file for package digi_ned (Version 0.3.9)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
# fontconfig fontconfig-devel compat-expat x11-devel x11-libs

# #n#eededforbuild  ed libax25 xorg-x11-util-devel
#%if 0%{?suse_version} >= 1020
#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils ed gcc gdbm gettext libax25-devel libtool perl rpm libax25 xorg-x11-util-devel
#%endif

#%if 0%{?suse_version} <= 1010
#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils ed gcc gdbm gettext libax25-devel libtool perl rpm libax25 xorg-x11-devel
#%endif
BuildRequires: xorg-x11-devel libax25-devel

Name:         digi_ned
%define       localham_group 56
License:      GPL
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      0.3.9
Release:      lp156.6.1
Source:       %{name}-%{version}.tar.bz2
# Patch:        %{name}.dif
URL:          http://www.homepages.hetnet.nl/~remko/index.html
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Intelligent APRS Digipeater
PreReq:       /usr/sbin/groupadd

%description
An intelligent APRS digipeater.



Authors:
--------
    Henk de Groot, PE1DNN <pe1dnn@amsat.org>

%debug_package
%prep
%setup -q -n %{name}
# %patch

%build
%define prefix   /usr
make depend
make CC="gcc $RPM_OPT_FLAGS"

%install
%define INSTALL_DIR install -d -m755
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
install -d $RPM_BUILD_ROOT/usr/sbin
install digi_ned $RPM_BUILD_ROOT/usr/sbin/
install -d $RPM_BUILD_ROOT/etc/digi_ned
install *.ini $RPM_BUILD_ROOT/etc/digi_ned
# cleanup: remove unpackaged files
rm -f $RPM_BUILD_ROOT/etc/digi_ned/d_relay.ini
rm -f $RPM_BUILD_ROOT/etc/digi_ned/digi_id.ini
rm -f $RPM_BUILD_ROOT/etc/digi_ned/digi_tlm.ini

%pre
/usr/sbin/groupadd -g %{localham_group} -o -r localham 2> /dev/null || :

%files
%defattr(-,root,root)
%doc COPYING Changes.txt README digi_ned.txt 
%attr(0750,root,localham) %{prefix}/sbin/digi_ned
%attr(0750,root,localham) %dir /etc/digi_ned
%config(noreplace) %attr(0640,root,localham) /etc/digi_ned/digi_ned.ini
%config(noreplace) %attr(0640,root,localham) /etc/digi_ned/digibcon.ini
%config(noreplace) %attr(0640,root,localham) /etc/digi_ned/digi_new.ini
%config(noreplace) %attr(0640,root,localham) /etc/digi_ned/digi_nsr.ini

%changelog -n digi_ned
* Thu Feb 24 2011 - dl8fcl@darc.de
- Fix for 11.4
* Wed Feb 20 2007 - dl9pf@gmx.de
- import into buildservice
* Mon Dec 11 2006 - dg7gt@online.de
- Update to version 0.3.8 for openSUSE 10.2
* Tue Feb 17 2004 - jreuter@suse.de
- fixed building as non-root user
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Tue Jun 03 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - mmj@suse.de
- Correct PreReq
* Wed Jul 03 2002 - ro@suse.de
- create goup localham (if missing)
* Tue Jul 02 2002 - meissner@suse.de
- cleaned up .spec, fixed %%_lib problems.
* Fri Feb 15 2002 - ro@suse.de
- bzipped source
- don't include kernel headers for user space
* Mon Feb 11 2002 - jreuter@suse.de
- update from ancient version to 0.3.2
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Sat Dec 02 2000 - ka@suse.de
- update to version 0.2.2
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Fri Nov 17 2000 - ro@suse.de
- renamed timer_t to timer_s_t (clash with glibc-2.2)
* Mon May 15 2000 - ka@suse.de
- initial release 0.0.9
- compiled with -DNEW_AX25
- copied *.ini files to /etc/digi_ned for FHS reasons
